| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
List of all members
IG.Gr.GraphicQuadriLateralBase Class Reference

Base class for graphic line primitive. More...

Inheritance diagram for IG.Gr.GraphicQuadriLateralBase:
[legend]
Collaboration diagram for IG.Gr.GraphicQuadriLateralBase:
[legend]

## Additional Inherited Members
Public Member Functions inherited from IG.Gr.GraphicPrimitiveBase
virtual vec3 | GetCoordinate (int which)
| Returns the specified co-ordinates of the graphic primitive. More...
virtual void | SetCoordinate (int which, vec3 coord)
| Sets the specified co-ordinates of the graphic primitive. More...
virtual void | UpdateBoundingBox (BoundingBox bounds)
virtual void | UpdateBoundingBoxTransformed ()
virtual Color | GetLineColor (int which)
| Returns the specified line color of the graphic primitive. More...
virtual void | SetLineColor (int which, Color color)
| Sets the specified line color of the graphic primitive. More...
virtual color | GetLineColor ()
| Returns average line color of the graphic primitive. More...
virtual void | SetLineColor (Color color)
| Sets all line colors of the graphic primitive to the specified value. More...
virtual Color | GetFillColor (int which)
| Returns the specified fill color of the graphic primitive. More...
virtual void | SetFillColor (int which, Color color)
| Sets the specified fill color of the graphic primitive. More...
virtual Color | GetFillColor ()
| Returns average fill color of the graphic primitive. More...
virtual void | SetFillColor (Color color)
| Sets all fill colors of the graphic primitive to the specified value. More...
Protected Attributes inherited from IG.Gr.GraphicPrimitiveBase
vec3[] | _coord
color[] | _lineColors
color[] | _fillColors
GraphicPrimitiveType | _type
Properties inherited from IG.Gr.GraphicPrimitiveBase
virtual IGraphicSet | Parent`[get, set]`
abstract GraphicPrimitiveType | Type`[get]`
| Returns flags enumeration indicating the type of the graphic primitive. More...
virtual int | NumCoordinates`[get]`
| Gets number of co-ordinates of the graphic primitive. More...

## Detailed Description

Base class for graphic line primitive.

The documentation for this class was generated from the following file:

- igbase/graphics/grobjects/GraphicalObjectsBase.cs